Skip to Content
avatar image
Former Member

A critical rendering error has been detected.

Hi,

We've upgraded SAP_UI component to SP 13 and our IE to version 10 and we're now getting a browser error when running SAP portal -

The application cannot be used because it was started in the wrong browser mode.  Internet Explorer runs in compatibility mode.  The application was started, however in standards mode (IE 9 or higher) See note 1970689

Weโ€™re running IE 10

o Browser Mode: IE 10 Compatibility View

o Document Mode: IE5 quirks


I had a look at the following -

http://scn.sap.com/community/enterprise-portal/blog/2014/09/03/ie-and-portal-standardsquirks-mode-evolution-or-love-hate-relationships

SAP Note 1458799 appears to have the answer as supports higher than IE 8 and Quirks by setting value Browser Document Mode property value to IE=5, IE=EmulateIE7

I have read many SAP notes including 1970689, 1753544, 1737445, and 1753544 but don't appear to be getting anywhere.

Also, just as a test if I changed Browser Mode to IE 8 via Developer Tool(F12) and it runs fine with no warning.

I raised a high priority call with SAP yesterday and still haven't heard anything back.. ๐Ÿ˜”

Any ideas?

Thanks in advance

Amanda

Capture.PNG (427.9 kB)
Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

3 Answers

  • Best Answer
    avatar image
    Former Member
    Dec 09, 2015 at 03:17 PM

    So after going around the houses, I found the fix was not in SP5 as advised by SAP so I went with latest possible SP our SQL Server version would allow... i.e SP7.

    Deep sigh! shame I wasn't provided this information in the first place by SAP but got there in the end!

    Thanks guys!

    Amanda

    Add comment
    10|10000 characters needed characters exceeded

  • Nov 03, 2015 at 10:41 AM

    Hi Amanda,

    Is the error thrown in a specific area of the portal?

    If so is the iview web dynpro, SAP GUI for html etc? Please attach screenshot of the iview codelink

    What version is the portal? What SP?

    Thanks and regards,

    Lorraine

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Hi Etay

      I can now access NWA and Portal Content by upgrading the FRAMEWORK component.  It was a shame this component wasn't a dependency in SAP note 2158358.  ๐Ÿ˜•

      When testing via F12 I now have one entry coming through but it's still showing IE=EmulateIE7 and not IE=EmulateIE8

      URL: https://<company_address:port>/irj/servlet/prt/portal/prteventname/Navigate/prtroot/pcd!3aportal_content!2fevery_user!2fgeneral!2fdefaultDesktop!2fframeworkPages!2fframeworkpage!2fcom.sap.portal.innerpage?InitialNodeFirstLevel=true&windowId=WID1447855247925&NavMode=0

      Any suggestions?

      Regards

      Amanda

      Capture.PNG (8.5 kB)
  • avatar image
    Former Member
    Nov 09, 2015 at 10:32 AM

    Ok, so it looks like I've hit another brick wall! :-(

    I'm unable to upgrade EP_BASIS and FRAMEWORK_EXT from SP4 to SP11 because as of SP08 SAP has introduced new minimal database versions! (SAP Note 1951491)


     

    We're running MS SQL 2008 R2 and this version is out of support.

    So it looks like this is not an option for me and I need to try and resolve the browser issue some other way.

    Regards

    Amanda


    Capture.PNG (67.6 kB)
    Add comment
    10|10000 characters needed characters exceeded